# Jupytext

[![launch - renku](https://renkulab.io/renku-badge.svg)](https://renkulab.io/projects/best-practices/jupytext/sessions/new?autostart=1)

Here we showcase the use of jupytext using Renku.
Jupytext is a python package and jupyter plugin that allows to save notebooks to plain-text format, thereby solving common issues encountered when working with notebooks.

This repository allows to try jupytex using Renku's interactive sessions. Click the badge above to get started.

An extract from the official README is provided below. More information are available on the [official github repository](https://github.com/mwouts/jupytext).

## Introduction

Have you always wished Jupyter notebooks were plain text documents? Wished you could edit them in your favorite IDE? And get clear and meaningful diffs when doing version control? Then... Jupytext may well be the tool you're looking for!

Jupytext is a plugin for Jupyter that can save Jupyter notebooks as either
- Markdown files (or [MyST Markdown](docs/formats.md#MyST-Markdown) files, or [R Markdown](docs/formats.md#R-Markdown) or [Quarto](docs/formats.md#Quarto) text notebooks)
- Scripts in [many languages](docs/languages.md).

## Use cases

Common use cases for Jupytext are:
- Doing version control on Jupyter Notebooks
- Editing, merging or refactoring notebooks in your favorite text editor
- Applying Q&A checks on notebooks.

## Install

You can install Jupytext with
- `pip install jupytext`
- or `conda install jupytext -c conda-forge`.

